public static interface AuthzPolicy.AuthzRule.To.RequestOperationOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getHeaderSet()
public abstract AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet getHeaderSet()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet |
The headerSet. |
getHeaderSetOrBuilder()
public abstract AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSetOrBuilder getHeaderSetOrBuilder()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSetOrBuilder |
|
getHosts(int index)
public abstract AuthzPolicy.AuthzRule.StringMatch getHosts(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch |
|
getHostsCount()
public abstract int getHostsCount()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getHostsList()
public abstract List<AuthzPolicy.AuthzRule.StringMatch> getHostsList()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<StringMatch> |
|
getHostsOrBuilder(int index)
public abstract AuthzPolicy.AuthzRule.StringMatchOrBuilder getHostsOrBuilder(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatchOrBuilder |
|
getHostsOrBuilderList()
public abstract List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getHostsOrBuilderList()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
getMcp()
public abstract AuthzPolicy.AuthzRule.To.RequestOperation.MCP getMcp()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP |
The mcp. |
getMcpOrBuilder()
public abstract AuthzPolicy.AuthzRule.To.RequestOperation.MCPOrBuilder getMcpOrBuilder()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.MCPOrBuilder |
|
getMethods(int index)
public abstract String getMethods(int index)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The methods at the given index. |
getMethodsBytes(int index)
public abstract ByteString getMethodsBytes(int index)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the methods at the given index. |
getMethodsCount()
public abstract int getMethodsCount()Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
The count of methods. |
getMethodsList()
public abstract List<String> getMethodsList()Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<String> |
A list containing the methods. |
getPaths(int index)
public abstract AuthzPolicy.AuthzRule.StringMatch getPaths(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch |
|
getPathsCount()
public abstract int getPathsCount()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getPathsList()
public abstract List<AuthzPolicy.AuthzRule.StringMatch> getPathsList()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<StringMatch> |
|
getPathsOrBuilder(int index)
public abstract AuthzPolicy.AuthzRule.StringMatchOrBuilder getPathsOrBuilder(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatchOrBuilder |
|
getPathsOrBuilderList()
public abstract List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getPathsOrBuilderList()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
hasHeaderSet()
public abstract boolean hasHeaderSet()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the headerSet field is set. |
hasMcp()
public abstract boolean hasMcp()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the mcp field is set. |